package com.xinyilu.system.mapper.parentInfo;

import com.xinyilu.system.domain.parentInfo.ParentInfo;
import com.xinyilu.system.domain.vo.ParentInfoVO;

import java.util.List;

/**
 * 家长信息Mapper接口
 *
 * @author jihan
 * @date 2022-07-29
 */
public interface ParentInfoMapper {
    /**
     * 查询家长信息
     *
     * @param id 家长信息主键
     * @return 家长信息
     */
    public ParentInfo selectParentInfoById(Long id);

    /**
     * 查询家长信息列表
     *
     * @param parentInfo 家长信息
     * @return 家长信息集合
     */
    public List<ParentInfo> selectParentInfoList(ParentInfoVO parentInfo);

    /**
     * 新增家长信息
     *
     * @param parentInfo 家长信息
     * @return 结果
     */
    public int insertParentInfo(ParentInfo parentInfo);

    /**
     * 修改家长信息
     *
     * @param parentInfo 家长信息
     * @return 结果
     */
    public int updateParentInfo(ParentInfo parentInfo);

    /**
     * 删除家长信息
     *
     * @param id 家长信息主键
     * @return 结果
     */
    public int deleteParentInfoById(Long id);

    /**
     * 批量删除家长信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteParentInfoByIds(Long[] ids);

    /**
     * 批量逻辑删除家长信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int updateParentInfoByIds(Long[] ids);

    /**
     * 查询角色为区域的家长信息列表
     *
     * @param parentInfo 家长信息
     * @return 家长信息集合
     */
    List<ParentInfo> selectRoleParentInfoList(ParentInfoVO parentInfo);

    /**
     * 查询家长信息列表
     *
     * @param parentInfo 家长信息
     * @return 家长信息集合
     */
     int selectParentPhoneInfo(ParentInfo parentInfo);
}
